"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SuppressedReporter = void 0;
class SuppressedReporter {
    constructor(m_reporter) {
        this.m_reporter = m_reporter;
    }
    start() { }
    end(wrong) {
        return this.m_reporter.end(wrong);
    }
    targetStart(name) { }
    targetSkip(name) { }
    targetEnd(name) { }
    targetHalt(name) { }
    targetUnHalt(name) { }
    systemError(e) {
        return this.m_reporter.systemError(e);
    }
    targetError(name, e) {
        return this.m_reporter.targetError(name, e);
    }
    redirectStdout(line) {
        return this.m_reporter.redirectStdout(line);
    }
    redirectStderr(line) {
        return this.m_reporter.redirectStderr(line);
    }
    actions(lines, style) { }
    debug(...line) { }
    info(...line) { }
    echo(...line) { }
    warn(...line) { }
    note(...line) { }
    success(...line) { }
    fail(...line) {
        return this.m_reporter.fail(...line);
    }
    error(...line) {
        return this.m_reporter.error(...line);
    }
    fatal(...line) {
        return this.m_reporter.fatal(...line);
    }
}
exports.SuppressedReporter = SuppressedReporter;
