"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.bindDefaultRulesAndFunctions = exports.bindDefaultRuleTypes = void 0;
const file_list_1 = require("../predefined-functions/file-list");
const file_1 = require("./file");
const oracle_1 = require("./oracle");
const phony_1 = require("./phony");
const self_tracking_1 = require("./self-tracking");
const task_1 = require("./task");
function bindDefaultRuleTypes(cfg, dir) {
    return {
        ...oracle_1.Oracle(dir),
        ...file_1.File(cfg, dir),
        ...task_1.Task(dir),
        ...phony_1.Phony(dir),
        SelfTracking: self_tracking_1.SelfTracking(dir)
    };
}
exports.bindDefaultRuleTypes = bindDefaultRuleTypes;
function bindDefaultRulesAndFunctions(cfg, dir) {
    const implF = file_1.ImplicitFileRules(cfg, dir);
    const FileList = file_list_1.BindFileList(implF.ds);
    return {
        rules: {
            ...implF
        },
        predefinedFuncs: {
            FileList
        }
    };
}
exports.bindDefaultRulesAndFunctions = bindDefaultRulesAndFunctions;
