import { defaultActionKit } from "../actions";
import { IExternalOptions } from "../config";
import { Goal, OrderGoalTypeList } from "../core/interface";
import { bindDefaultRulesAndFunctions, bindDefaultRuleTypes } from "../rule-types";
import { ISession } from "./interface";
export declare class Session implements ISession {
    private reporter;
    private readonly config;
    private director;
    ruleTypes: ReturnType<typeof bindDefaultRuleTypes>;
    rules: ReturnType<typeof bindDefaultRulesAndFunctions>["rules"];
    predefinedFuncs: ReturnType<typeof bindDefaultRulesAndFunctions>["predefinedFuncs"];
    actions: ReturnType<typeof defaultActionKit>;
    userSelfTrackingSet: boolean;
    userSelfTrackingGoal: null | Goal<void, any>;
    selfTrackingGoal: null | Goal<void, any>;
    constructor();
    setSelfTracking(dependency?: null | Goal<void, any>): void;
    setJournal(path: string): void;
    deleteJournal(): void;
    bindConfig(options: IExternalOptions): void;
    createSelfTrackingRule(dependency?: null | Goal<any, any>): void;
    loadJournal(): Promise<void>;
    saveJournalSync(): void;
    userCancelSync(): void;
    start(...args: OrderGoalTypeList): Promise<void>;
}
